[med-svn] [Git][med-team/kent-core][master] Rudimentary packaging (not building yet)

Andreas Tille (@tille) gitlab at salsa.debian.org
Sat Apr 1 13:23:50 BST 2023



Andreas Tille pushed to branch master at Debian Med / kent-core


Commits:
49c2a894 by Andreas Tille at 2023-04-01T14:01:10+02:00
Rudimentary packaging (not building yet)

- - - - -


12 changed files:

- + debian/changelog
- + debian/control
- + debian/copyright
- + debian/patches/fix_makefile.patch
- + debian/patches/series
- + debian/rules
- + debian/salsa-ci.yml
- + debian/source/format
- + debian/tests/control
- + debian/tests/run-unit-test
- + debian/upstream/metadata
- + debian/watch


Changes:

=====================================
debian/changelog
=====================================
@@ -0,0 +1,5 @@
+kent-core (446-1) UNRELEASED; urgency=medium
+
+  * Initial release (Closes: #???)
+
+ -- Andreas Tille <tille at debian.org>  Fri, 31 Mar 2023 07:34:06 +0200


=====================================
debian/control
=====================================
@@ -0,0 +1,42 @@
+Source: kent-core
+Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille at debian.org>
+Section: science
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               libpng-dev,
+               uuid-dev,
+               libmariadb-dev
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/med-team/kent-core
+Vcs-Git: https://salsa.debian.org/med-team/kent-core.git
+Homepage: https://github.com/ucscGenomeBrowser/kent-core
+Rules-Requires-Root: no
+
+Package: kent-core
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: free parts of the UCSC Genome Browser
+ This is a partial copy of the UCSC Genome Browser source code repository
+ https://github.com/ucscGenomeBrowser/kent/. It includes all files that
+ are under an MIT license or in the public domain. All files can be
+ packaged, redistributed and modified as needed by other projects.
+ .
+ A few selected tools that are useful when building track and
+ assembly hubs:
+ .
+  bedToBigBed create a bigBed file for rectangle-shaped annotations
+              (genes, enhancers, promoters, etc)
+ .
+  bigBedToBed the inverse of bedToBigBed
+ .
+  bigBedInfo  Show information about a bigBed file. Can extract .autoSql
+              field definitions
+ .
+  wigToBigWig create a bigWig file for signal (barchart) annotations from
+              a .wig file
+ .
+  bigWigToWig the inverse of wigToBigWig
+ .
+  bigWigInfo  show information about bigWig files


=====================================
debian/copyright
=====================================
@@ -0,0 +1,16 @@
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: kent-core
+Source: <path_to_download>
+Comment: **** Before manually editing this file you should give ****
+           scan-copyrights
+         **** available in cme + lib-config-model-dpkg-perl     ****
+         **** package a try.  For existing copyright files try  ****
+           cme update dpkg-copyright
+
+Files: *
+Copyright: 20xx-20yy <upstream>
+License: <license>
+
+Files: debian/*
+Copyright: 2023 Andreas Tille <tille at debian.org>
+License: <license>


=====================================
debian/patches/fix_makefile.patch
=====================================
@@ -0,0 +1,86 @@
+Author: Andreas Tille <tille at debian.org>
+Last-Update: Fri, 31 Mar 2023 07:34:06 +0200
+Description: The makefiles contain code that references directories
+             with code that is not MIT licensed and thus only in the
+             original project and not in kent-core.
+             This patch verifies whether the dirs exist or not.
+
+--- a/src/makefile
++++ b/src/makefile
+@@ -16,7 +16,9 @@ update:
+ topLibs:
+ 	@./checkUmask.sh
+ 	@MACHTYPE=${MACHTYPE} ./machTest.sh
++ifneq ($(wildcard lib/*),)
+ 	cd lib && ${MAKE}
++endif
+ ifneq ($(wildcard jkOwnLib/*),)
+ 	cd jkOwnLib && ${MAKE}
+ endif
+@@ -29,9 +31,13 @@ optLib:
+ hgLib:
+ ifneq ($(wildcard hg/makefile),)
+ 	@./hg/sqlEnvTest.sh
++ifneq ($(wildcard hg/lib/*),)
+ 	cd hg/lib && ${MAKE}
++endif
++ifneq ($(wildcard hg/cgilib/*),)
+ 	cd hg/cgilib && ${MAKE}
+ endif
++endif
+ 
+ libs: topLibs hgLib optLib
+ 
+@@ -108,7 +114,9 @@ clean:
+             fi ;\
+ 	done
+ 	cd parasol && ${MAKE} clean
++ifneq ($(wildcard lib/*),)
+ 	cd lib && ${MAKE} clean 
++endif
+ 	cd hg && ${MAKE} clean
+ 	cd hg && ${MAKE} clean_utils
+ ifneq ($(wildcard jkOwnLib/*),)
+--- a/src/hg/makefile
++++ b/src/hg/makefile
+@@ -228,8 +228,12 @@ APPS = $(UTIL_DIRS) $(UTILS_APPLIST)
+ all::    cgi utils
+ 
+ hgLib:
++ifneq ($(wildcard lib/*),)
+ 	cd lib && ${MAKE}
++endif
++ifneq ($(wildcard lib/*),)
+ 	cd cgilib && ${MAKE}
++endif
+ 
+ userApps: $(UTILS_APPLIST:%=%.userApp)
+ 	cd altSplice/lib && $(MAKE)
+@@ -279,22 +283,24 @@ install: ${BROWSER_BINS:%=%.install} ${B
+ 	cd $* && echo $* && $(MAKE) install
+ 
+ clean::
++ifneq ($(wildcard lib/*),)
+ 	cd lib && ${MAKE} clean
++endif
+ 	@for D in ${BROWSER_BINS} ${BROWSER_LOADERS}; do \
+-		(cd $${D} && ${MAKE} clean;) \
++		(if [ -d $${D} ] ; then cd $${D} && ${MAKE} clean; fi) \
+ 	done
+ 	touch non-empty-rm.o
+ 	- find . -name \*.o -print | xargs rm
+ 
+ clean_utils::
+ 	@for D in ${UTIL_DIRS}; do \
+-		(cd $${D} && ${MAKE} clean;) \
++		(if [ -d $${D} ] ; then cd $${D} && ${MAKE} clean; fi) \
+ 	done
+ 
+ clean::	${TEST_DIRS:%=%.clean}
+ 
+ %.clean:
+-	cd $* && ${MAKE} clean
++	if [ -d $* ] ; then cd $* && ${MAKE} clean ; fi
+ 
+ testAll: $(APPS:%=%.testAll)
+ 


=====================================
debian/patches/series
=====================================
@@ -0,0 +1 @@
+fix_makefile.patch


=====================================
debian/rules
=====================================
@@ -0,0 +1,9 @@
+#!/usr/bin/make -f
+
+# DH_VERBOSE := 1
+
+# for hardening you might like to uncomment this:
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+%:
+	dh $@ --sourcedirectory=src --no-parallel # FIXME: no-parallel is just set for debugging - remove it before uploading


=====================================
debian/salsa-ci.yml
=====================================
@@ -0,0 +1,17 @@
+---
+include:
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml
+
+# To exclude single tests you can use
+#variables:
+#  SALSA_CI_DISABLE_APTLY: 1
+#  SALSA_CI_DISABLE_AUTOPKGTEST: 1
+#  SALSA_CI_DISABLE_BLHC: 1
+#  SALSA_CI_DISABLE_LINTIAN: 1
+#  SALSA_CI_DISABLE_PIUPARTS: 1
+#  SALSA_CI_DISABLE_REPROTEST: 1
+#  SALSA_CI_DISABLE_BUILD_PACKAGE_ALL: 1
+#  SALSA_CI_DISABLE_BUILD_PACKAGE_ANY: 1
+# In case for instance i386 is explicitly excluded by Build-Depends
+#  SALSA_CI_DISABLE_BUILD_PACKAGE_I386: 1


=====================================
debian/source/format
=====================================
@@ -0,0 +1 @@
+3.0 (quilt)


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+
+pkg=#PACKAGENAME#
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+#do_stuff_to_test_package#


=====================================
debian/upstream/metadata
=====================================
@@ -0,0 +1,19 @@
+Reference:
+ Author: W. Jim Kent
+ Title: "BLAT--the BLAST-like alignment tool"
+ Journal: Genome Research
+ Year: 2002
+ Volume: 12
+ Number: 4
+ Pages: 656-64
+ DOI: 10.1101/gr.229202
+ PMID: 11932250
+ URL: http://genome.cshlp.org/content/12/4/656
+ eprint: http://genome.cshlp.org/content/12/4/656.full.pdf+html
+Registry:
+ - Name: OMICtools
+   Entry: OMICS_01434
+ - Name: SciCrunch
+   Entry: SCR_011919
+ - Name: bio.tools
+   Entry: blat


=====================================
debian/watch
=====================================
@@ -0,0 +1,7 @@
+version=4
+
+opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE at -$1.tar.gz%" \
+ https://github.com/ucscGenomeBrowser/kent-core/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
+
+#opts="mode=git,pretty=0.0+git%cd.%h" \
+#    https://github.com/ucscGenomeBrowser/kent-core.git HEAD



View it on GitLab: https://salsa.debian.org/med-team/kent-core/-/commit/49c2a89408bbf3ec7e85e14fdc835e3e7fede7db

-- 
View it on GitLab: https://salsa.debian.org/med-team/kent-core/-/commit/49c2a89408bbf3ec7e85e14fdc835e3e7fede7db
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20230401/b501f940/attachment-0001.htm>


More information about the debian-med-commit mailing list